# Function insertHandler

- insertHandler(handleOperationTypeId, typeId, code, forceOwnerId?, supportsId?): Promise<{
  handleOperationId: any;
  handlerId: any;
  handlerJSFileId: any;
  handlerJSFileValueId: any;
  ownerContainHandlerId: any;
  }>

- #### Parameters

  - handleOperationTypeId: Id
  - typeId: Id
  - code: string
  - `Optional` forceOwnerId: Id
  - `Optional` supportsId: Id

  #### Returns Promise<{
  handleOperationId: any;
  handlerId: any;
  handlerJSFileId: any;
  handlerJSFileValueId: any;
  ownerContainHandlerId: any;
  }>

  - Defined in work/deeplinks/deeplinks/imports/handlers.ts:16